GET /api/v1/pages/{slug}

Fetch a single content page by its slug. The content is HTML. Components the page embeds, such as the trending recipes, are empty div elements with a data-component attribute and one data-* attribute per parameter. Clients which do not know the component should ignore the element. Publicly accessible without authentication.

Required Scopes

None (public endpoint).

Parameters

Name In Required Type Description
slug path yes string

Request Body

None.

Responses

200

page available

Schema: page_output

page_output

Field Type Required Description
id integer yes
title string yes
slug string yes
content_html string yes
created_at string yes
updated_at string yes

404

page not found